Fish_SeniorRankingCFG = {}

function Fish_SeniorRankingCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function Fish_SeniorRankingCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, Type = 1, StartRank = 1, EndRank = 1, RewardList = {1,18000000,94,14}, Limit = 10000}
	self.datas[2] = {ID = 2, Type = 1, StartRank = 2, EndRank = 2, RewardList = {1,12000000,94,7}, Limit = 10000}
	self.datas[3] = {ID = 3, Type = 1, StartRank = 3, EndRank = 3, RewardList = {1,6000000,94,4}, Limit = 10000}
	self.datas[4] = {ID = 4, Type = 1, StartRank = 4, EndRank = 5, RewardList = {1,4000000,94,1}, Limit = 10000}
	self.datas[5] = {ID = 5, Type = 2, StartRank = 1, EndRank = 1, RewardList = {1,60000000,94,28}, Limit = 500000}
	self.datas[6] = {ID = 6, Type = 2, StartRank = 2, EndRank = 2, RewardList = {1,36000000,94,21}, Limit = 500000}
	self.datas[7] = {ID = 7, Type = 2, StartRank = 3, EndRank = 3, RewardList = {1,18000000,94,14}, Limit = 500000}
end

Fish_SeniorRankingCFG:init()
